#
# spec file for package libapr1 (Version 1.2.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  doxygen libpng

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils doxygen gcc gdbm gettext libpng libtool perl rpm

Name:         libapr1
Url:          http://apr.apache.org/
License:      Other License(s), see package, Other uncritical OpenSource License
Group:        Development/Libraries/Other
Autoreqprov:  on
Version:      1.2.2
Release:      1.1
Summary:      Apache Portable Runtime (APR) Library
Source:       http://www.apache.org/dist/apr/apr-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define aprver 1
%define installbuilddir %{_libdir}/apr-%{aprver}/build
%define includedir %{_includedir}/apr-%{aprver}

%description
The mission of the Apache Portable Runtime (APR) project is to create
and maintain software libraries that provide a predictable and
consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may
code and be assured of predictable if not identical behaviour
regardless of the platform on which their software is built, relieving
them of the need to code special-case conditions to work around or take
advantage of platform-specific deficiencies or features.

The APR is used by both Open Source and Commercial projects, prominent
examples being the Apache HTTP server.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%package devel
Summary:      Apache Portable Runtime (APR) Library
Group:        Development/Libraries/Other
Requires:     libapr1 = %{version}
Autoreqprov:  on

%description devel
The mission of the Apache Portable Runtime (APR) project is to create
and maintain software libraries that provide a predictable and
consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may
code and be assured of predictable if not identical behaviour
regardless of the platform on which their software is built, relieving
them of the need to code special-case conditions to work around or take
advantage of platform-specific deficiencies or features.

The APR is used by both Open Source and Commercial projects, prominent
examples being the Apache HTTP server.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%prep
%setup -n apr-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -DLDAP_DEPRECATED -fPIC"
rm -rf aclocal.m4 autom4te*.cache
autoheader
autoconf
%configure \
	--with-installbuilddir=%{installbuilddir} \
	--with-includedir=%{includedir} \
%ifarch %ix86
%ifnarch i386
	--enable-nonportable-atomics=yes \
%endif
%endif
	--with-devrandom=/dev/urandom
make
%ifnarch %arm
make check
%endif
make dox

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Move docs to more convenient location
mv docs/dox/html html
# Unpackaged files:
rm -f $RPM_BUILD_ROOT/%{_libdir}/apr.exp

%clean
if ! test -f /.buildenv; then
	rm -rf $RPM_BUILD_ROOT
fi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES
%doc LICENSE
%doc NOTICE
%{_libdir}/libapr-%{aprver}.so.*

%files devel
%defattr(-,root,root)
%doc docs/APRDesign.html
%doc docs/canonical_filenames.html
%doc docs/incomplete_types
%doc docs/non_apr_programs
%doc --parents html
%doc emacs-mode
%{_prefix}/include/*.h
%{_libdir}/libapr-%{aprver}.a
%{_libdir}/libapr-%{aprver}.la
%{_libdir}/libapr-%{aprver}.so
%{_bindir}/apr-%{aprver}-config
%{_libdir}/pkgconfig/apr-%{aprver}.pc
%{_libdir}/apr-%{aprver}

%changelog -n libapr1
* Wed Oct 12 2005 - poeml@suse.de
- update to 1.2.2
* Thu Sep 29 2005 - poeml@suse.de
- update to 1.2.1
- add -fno-strict-aliasing to CFLAGS
- add -DLDAP_DEPRECATED to CFLAGS
* Fri Apr 08 2005 - uli@suse.de
- disabled test suite for ARM (may hang QEMU)
* Thu Mar 24 2005 - poeml@suse.de
- update to 1.1.1
* Fri Feb 25 2005 - poeml@suse.de
- package created (1.1.0)
